Bug 837906 - as7 plugin: platform-mbean > threading resource contains configuration properties which should be traits
as7 plugin: platform-mbean > threading resource contains configuration proper...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-07-05 15:16 EDT by Charles Crouch
Modified: 2015-02-01 18:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Threading resource configuration (90.27 KB, image/png)
2012-07-05 15:17 EDT, Charles Crouch
no flags Details

  None (edit)
Description Charles Crouch 2012-07-05 15:16:10 EDT
Right now the as7 plugin defines threading resources (key=core-service=platform-mbean,type=threading). Part of the configuration for this resource are the following properties:

Thread Contention Monitoring Supported: Whether the Java virtual machine supports thread contention monitoring.

Thread Cpu Time Supported: Whether the Java virtual machine implementation supports CPU time measurement for any thread.

Current Thread Cpu Time Supported: Whether the Java virtual machine supports CPU time measurement for the current thread.

Object Monitor Usage Supported: Whether the Java virtual machine supports monitoring of object monitor usage.

Synchronizer Usage Supported: Whether the Java virtual machine supports monitoring of ownable synchronizer usage.


When editing the configuration it is not possible alter any of these properties (see threading-config-current.png). Further it doesn't make any sense to try to alter these properties since they describe the existence (or not) of particular features of the JVM 

My suggestion is to remove these properties from the resource configuration. An alternative implementation could move these to be traits on the resource.
Comment 1 Charles Crouch 2012-07-05 15:17:01 EDT
Created attachment 596483 [details]
Threading resource configuration
Comment 2 Mike Foley 2012-07-09 11:54:13 EDT
qe task

https://engineering.redhat.com/trac/jon/ticket/214

Note You need to log in before you can comment on or make changes to this bug.